Fulfillment & ShippingSettings
Update tax settings
Replaces tax-inclusive pricing, shipping, digital goods and duties settings; returns them.
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X PUT "https://api.ecomiq.pe/api/v1/taxes/settings" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "serviceType": "manual", "serviceActive": true, "pricesIncludeTax": false, "chargeTaxOnShipping": false, "chargeVatOnDigitalGoods": false, "collectDutiesAtCheckout": false }'{ "storeId": "7204558912004327977", "serviceType": "manual", "serviceActive": true, "pricesIncludeTax": false, "chargeTaxOnShipping": false, "chargeVatOnDigitalGoods": false, "collectDutiesAtCheckout": false}